libboost-program-options-dev_1.58.0.1ubuntu1_amd64.deb


Advertisement

Description

libboost-program-options-dev - program options library for C++ (default version)

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename libboost-program-options-dev_1.58.0.1ubuntu1_amd64.deb
Package name libboost-program-options-dev
Package version 1.58.0.1ubuntu1
Package release -
Package architecture amd64
Package type deb
Category libdevel
Homepage http://www.boost.org/libs/program_options/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 2.74 KB
Installed size 10.00 KB
This package forms part of the Boost C++ Libraries collection.
Library to let program developers obtain program options, that is
(name, value) pairs from the user, via conventional methods such as
command line and config file.
This package is a dependency package, which depends on Debian's default
Boost version (currently 1.58).

Alternatives

Package Version Architecture Repository
libboost-program-options-dev_1.58.0.1ubuntu1_i386.deb 1.58.0.1ubuntu1 i386 Ubuntu Main
libboost-program-options-dev - - -

Requires

Name Value
libboost-program-options1.58-dev -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libboost-program-options-dev_1.58.0.1ubuntu1_amd64.deb
Source Package boost-defaults

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libboost-program-options-dev deb package:
    # sudo apt-get install libboost-program-options-dev

Files

Path
/usr/share/doc/libboost-program-options-dev/changelog.gz
/usr/share/doc/libboost-program-options-dev/copyright

Changelog

2016-04-08 - Dimitri John Ledkov <xnox@ubuntu.com>
boost-defaults (1.58.0.1ubuntu1) xenial; urgency=medium
* Drop compiler ABI dependencies, breaks cross-compilation. LP: #1552914
2015-07-01 - Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>
boost-defaults (1.58.0.1) unstable; urgency=medium
* Set default to 1.58.0 with C++'11 ABI. (Closes: #783002, #773111)
* Add dependencies to ensure C++'11 ABI capable tool chain is pulled. (Closes: #790351)
2014-05-18 - Steve M. Robbins <smr@debian.org>
boost-defaults (1.55.0.2) unstable; urgency=medium
* Upload to unstable.
- control file was regenerated in 1.55.0.1 (Closes: #736627, #720160)
2014-04-24 - Dimitri John Ledkov <xnox@ubuntu.com>
boost-defaults (1.55.0.1) experimental; urgency=medium
* Set default Boost to 1.55.0.
2013-08-17 - Steve M. Robbins <smr@debian.org>
boost-defaults (1.54.0.1) unstable; urgency=low
* Set default Boost to 1.54.0.
2012-09-23 - Steve M. Robbins <smr@debian.org>
boost-defaults (1.49.0.2) unstable; urgency=low
* libboost-doc.README.Debian: New.  Explain BOOST_ROOT.  
Closes: #687524.
2012-03-27 - Steve M. Robbins <smr@debian.org>
boost-defaults (1.49.0.1) unstable; urgency=low
* Set default Boost to 1.49.0.
2012-02-01 - Steve M. Robbins <smr@debian.org>
boost-defaults (1.48.0.3) unstable; urgency=low
* Set default Boost to 1.48.0.  Closes: #653823, #653228.
2011-12-20 - Steve M. Robbins <smr@debian.org>
boost-defaults (1.48.0.2) unstable; urgency=low
* Revert to 1.46.1 until some build issues are worked out.  See
http://lists.debian.org/debian-release/2011/12/msg00263.html.
2011-12-17 - Steve M. Robbins <smr@debian.org>
boost-defaults (1.48.0.1) unstable; urgency=low
* Set default Boost to 1.48.0.
* control.in: make libboost-dev suggest libboost-doc.  Closes: #625684.

See Also

Package Description
libboost-program-options1.58-dev_1.58.0+dfsg-5ubuntu3_amd64.deb program options library for C++
libboost-program-options1.58.0_1.58.0+dfsg-5ubuntu3_amd64.deb program options library for C++
libboost-random1.58.0_1.58.0+dfsg-5ubuntu3_amd64.deb Boost Random Number Library
libboost-regex1.58.0_1.58.0+dfsg-5ubuntu3_amd64.deb regular expression library for C++
libboost-system1.58.0_1.58.0+dfsg-5ubuntu3_amd64.deb Operating system (e.g. diagnostics support) library
libboost-thread1.58.0_1.58.0+dfsg-5ubuntu3_amd64.deb portable C++ multi-threading
libboost1.58-dev_1.58.0+dfsg-5ubuntu3_amd64.deb Boost C++ Libraries development files
libboost1.58-doc_1.58.0+dfsg-5ubuntu3_all.deb Boost.org libraries documentation
libboost1.58-tools-dev_1.58.0+dfsg-5ubuntu3_amd64.deb Boost C++ Libraries development tools
libbrlapi-dev_5.3.1-2ubuntu2_amd64.deb Library for communication with BRLTTY - static libs and headers
libbrlapi0.6_5.3.1-2ubuntu2_amd64.deb braille display access via BRLTTY - shared library
libbsd-dev_0.8.2-1_amd64.deb utility functions from BSD systems - development files
libbsd-resource-perl_1.2909-1build1_amd64.deb BSD process resource limit and priority functions
libbsd0_0.8.2-1_amd64.deb utility functions from BSD systems - shared library
libbtf1.2.1_4.4.6-1_amd64.deb permutation to block triangular form library for sparse matrices
Advertisement
Advertisement